Subject: Re: RSHD Won't Start
From: Marcos Lorenzo de Santiago <[email-masked]>
To: Justin Thomas <[email-masked]>
Cc: [email-masked]
Date: Fri, 12 Apr 2002 17:32:23 +0200 (CEST)

On Fri, 12 Apr 2002, Justin Thomas wrote:

     > Hi,
     >       I am having a problem with cygwin RSHD services on a Win2K 
     > Machine. I have configured inetd and the telnet and ftp services 
     > successfully start. I can login, cd to relavent home directories etc. 
     > All my configuration files such as inetd.conf, hosts.equiv, and rhosts 
     > are located on a local /etc directroy which also contains group and 
     > password files generated with the -d option. However, rshd, rlogin, ssh, 
     > etc do not start. In my event viewer under system evenst I get the below 
     > error message. Anyone have any idea what file I am missing? The RSH 
     > services were at least starting until I switched the account the service 
     > was logging in as from local system to Administrator. I switched it 
     > back, removed and re-installed the serivce, even re-installed cygwin and 
     > can not get it to work again.
     > 
     > Event Type:    Error
     > Event Source:    Service Control Manager
     > Event Category:    None
     > Event ID:    7000
     > Date:        4/12/2002
     > Time:        10:45:35 AM
     > User:        N/A
     > Computer:    ROACH
     > Description:
     > The Remote Shell Daemon - Unregistered service failed to start due to 
     > the following error:
     > The system cannot find the file specified. 
     > 
     > Thanks,
     > Justin

Maybe executing cygnsrv.exe (or something like that) will show you what's
hapenning inside it's process. Or you could run it from command prompt:

c:\cygwin\usr\sbin\rshd.exe

This execution showed me why my sshd service was stopping (something about
permissions on a file).

Maybe Service DataBase is locked is not refreshing succesfully(did you
tried rebooting?), it messed me last week.

I know it's not a real answer but I hope this guides you.

rgrds,
m4c.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/